package com.steering.mes.mcp.entity;
/**
 * 数据库表PORT_JG_BATCH_SAMPLE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author MS-20181101OWOO   date 2018-11-17
 */
@SuppressWarnings("serial")
public class PortJgBatchSampleResultEntity implements java.io.Serializable {
    /**
     * 工单号
     */
    private String woId = "";
    /**
     * 材料号
     */
    private String matNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号(性能)
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String groupNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 标示炉号
     */
    private String flagStoveNo = "";
    /**
     * 材料支数(实际)
     */
    private String actCount = "";
    /**
     * 材料实重(实际)
     */
    private String actWeight = "";
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight = "";
    /**
     * 作业工序点代码(工序点代码---6002)
     */
    private String opProcess = "";
    /**
     * 材料状态(00-合格 10-剔除 20-待处理 30-委外废)
     */
    private String matStatus = "";
    /**
     * 离线标志(00无；10-离线；20返线；)
     */
    private String leveLog = "";
    /**
     * 是否入库(0-未入库 1-已入库)交库结炉时写
     */
    private String instoreFlag = "";
    /**
     * 返线工序点(工序点代码6002)
     */
    private String returnProcess = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 废品所在的实绩编号
     */
    private String resultNo = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 母管号
     */
    private String mMatNo = "";
    /**
     * 母坯号
     */
    private String mMMatNo = "";
    /**
     * 单支可切个数SINGLE_CUT_NUN
     */
    private String singleCutNun = "";


	/**
     * 工单号
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    public String getSingleCutNun() {
		return singleCutNun;
	}

	public void setSingleCutNun(String singleCutNun) {
		this.singleCutNun = singleCutNun;
	}

	/**
     * 工单号
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号(性能)
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号(性能)
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getGroupNo() {
        return groupNo;
    }

    /**
     * 组号
     * @param groupNo value
     */
    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 标示炉号
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 作业工序点代码(工序点代码---6002)
     * @return value
     */
    public String getOpProcess() {
        return opProcess;
    }

    /**
     * 作业工序点代码(工序点代码---6002)
     * @param opProcess value
     */
    public void setOpProcess(String opProcess) {
        this.opProcess = opProcess;
    }

    /**
     * 材料状态(00-合格 10-剔除 20-待处理 30-委外废)
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * 材料状态(00-合格 10-剔除 20-待处理 30-委外废)
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 离线标志(00无；10-离线；20返线；)
     * @return value
     */
    public String getLeveLog() {
        return leveLog;
    }

    /**
     * 离线标志(00无；10-离线；20返线；)
     * @param leveLog value
     */
    public void setLeveLog(String leveLog) {
        this.leveLog = leveLog;
    }

    /**
     * 是否入库(0-未入库 1-已入库)交库结炉时写
     * @return value
     */
    public String getInstoreFlag() {
        return instoreFlag;
    }

    /**
     * 是否入库(0-未入库 1-已入库)交库结炉时写
     * @param instoreFlag value
     */
    public void setInstoreFlag(String instoreFlag) {
        this.instoreFlag = instoreFlag;
    }

    /**
     * 返线工序点(工序点代码6002)
     * @return value
     */
    public String getReturnProcess() {
        return returnProcess;
    }

    /**
     * 返线工序点(工序点代码6002)
     * @param returnProcess value
     */
    public void setReturnProcess(String returnProcess) {
        this.returnProcess = returnProcess;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 废品所在的实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 废品所在的实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }
    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 母管号
     * @return value
     */
    public String getMMatNo() {
        return mMatNo;
    }

    /**
     * 母管号
     * @param mMatNo value
     */
    public void setMMatNo(String mMatNo) {
        this.mMatNo = mMatNo;
    }

    /**
     * 母坯号
     * @return value
     */
    public String getMMMatNo() {
        return mMMatNo;
    }

    /**
     * 母坯号
     * @param mMMatNo value
     */
    public void setMMMatNo(String mMMatNo) {
        this.mMMatNo = mMMatNo;
    }
}
